uk.gov.hmrc.address.services

# writers

#### package writers

Visibility

1. Public
2. All

### Type Members

1. #### case class Algorithm(includeDPA: Boolean = true, includeLPI: Boolean = true, preferDPA: Boolean = true, streetFilter: Int = 0, containedPhrases: List[String] = Nil, startingPhrases: List[String] = Nil) extends Product with Serializable

2. #### class OutputESWriter extends OutputWriter with ElasticDsl

3. #### trait OutputWriter extends AnyRef

4. #### case class WriterSettings(bulkSize: Int, loopDelay: Int, algorithm: Algorithm) extends Product with Serializable

### Value Members

1. #### object Algorithm extends Serializable

2. #### object WriterSettings extends Serializable

### Ungrouped